OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TransformTransfer Struct Reference

The TransformTransfer module should be used if the source transform of the input points and the target transforms of the destination volumes differ. The default rasterizer will skip index to world (and vice versa) transformations unless a transfer scheme derives from a TransformTransfer. More...

`#include <openvdb/points/PointTransfer.h>`

## Public Member Functions
| TransformTransfer (const math::Transform &st, const math::Transform &tt)
template<typename T >
auto | transformSourceToTarget (const T &value) const
template<typename T >
auto | transformTargetToSource (const T &value) const
const math::Transform & | sourceTransform () const
const math::Transform & | targetTransform () const

## Detailed Description

The TransformTransfer module should be used if the source transform of the input points and the target transforms of the destination volumes differ. The default rasterizer will skip index to world (and vice versa) transformations unless a transfer scheme derives from a TransformTransfer.

## Constructor & Destructor Documentation

## ◆ TransformTransfer()

TransformTransfer | ( | const math::Transform & | st,
|  | const math::Transform & | tt )
| inline

## Member Function Documentation

## ◆ sourceTransform()

const math::Transform & sourceTransform | ( |  | ) | const
| inline

## ◆ targetTransform()

const math::Transform & targetTransform | ( |  | ) | const
| inline

## ◆ transformSourceToTarget()

template<typename T >

auto transformSourceToTarget | ( | const T & | value | ) | const
| inline

## ◆ transformTargetToSource()

template<typename T >

auto transformTargetToSource | ( | const T & | value | ) | const
| inline